#ifndef ATTRIBUTEVIEWER_P_H
#define ATTRIBUTEVIEWER_P_H

#include <QDialog>
#include <QVariantMap>
#include "fly-admin-printer_export.h"

namespace Ui {
class AttributeViewer;
}

class FLY_ADMIN_PRINTER_EXPORT AttributeViewer : public QDialog
{
    Q_OBJECT

public:
    explicit AttributeViewer(const QVariantMap &attrs, QWidget *parent = nullptr);
    ~AttributeViewer();

public slots:
    void reject() override;

private slots:
    void copyKey();
    void copyValue();

private:
    QString valueToString(const QVariant &value) const;

    Ui::AttributeViewer *m_ui;
};

#endif // ATTRIBUTEVIEWER_P_H
