#ifndef IPPREQUEST_H
#define IPPREQUEST_H

#include "fly-admin-printer_export.h"
#include "ippresponse.h"
#include "ippbase.h"

namespace Cups {

class Connection;

class FLY_ADMIN_PRINTER_EXPORT IppRequest : public IppBase
{
public:
    IppRequest(ipp_op_t op);

    void setOperation(ipp_op_t op);
    IppResponse *doRequest(Connection *connection, const QString &resource);
    IppResponse *doFileRequest(Connection *connection, const QString &resource, const QString &fileName);
};

}

#endif // IPPREQUEST_H
