#ifndef SECURITYPROPERTYCONFIGTAB_H
#define SECURITYPROPERTYCONFIGTAB_H

#include <QString>
#include <QMap>
#include <QWidget>
#include "fly-admin-printer_export.h"

class FLY_ADMIN_PRINTER_EXPORT SecurityPropertyConfigTab: public QWidget
{
    Q_OBJECT
public:
    explicit SecurityPropertyConfigTab(QWidget *parent) : QWidget(parent) {}
    virtual QString name() const = 0;
    virtual void setProperty(const QString &key, const QString &value) = 0;
    virtual QMap<QString, QString> getProperties() const = 0;
};

#endif // SECURITYPROPERTYCONFIGTAB_H
