#ifndef SUBSCRIPTIONCHECKER_P_H
#define SUBSCRIPTIONCHECKER_P_H

#include <QObject>
#include "connection.h"

class QTimer;

namespace Cups {
class Connection;
}

class SubscriptionChecker : public QObject
{
    Q_OBJECT
public:
    SubscriptionChecker(Cups::Connection *connection);
    ~SubscriptionChecker();

    int id() const;

private slots:
    void checkSubscription();

private:
    Cups::Connection *m_connection;
    int m_id = -1;
    QTimer *m_timer = nullptr;

};

#endif // SUBSCRIPTIONCHECKER_P_H
