#ifndef UTILS_H
#define UTILS_H

#include <cups/ipp.h>
#include <cups/cups.h>
#include <QString>
#include <QVariantMap>
#include <QApplication>
#include "fly-admin-printer_export.h"

namespace Cups {

class FLY_ADMIN_PRINTER_EXPORT Utils
{
    Q_DECLARE_TR_FUNCTIONS(Utils)
public:
    static QString statusName(ipp_status_t);
    static QString tagName(ipp_tag_t);
    static QString opName(ipp_op_t op);
    static QString orientName(ipp_orient_t);
    static QString typeName(cups_ptype_e t);
    static void dumpAttributes(const QVariantMap &attrs);

private:
    Utils(){}
};

}

#endif // UTILS_H
